For the complete documentation index, see llms.txt. This page is also available as Markdown.

DescribeSubnets

1. API Description

This API (DescribeSubnets) is used to query the details of subnets. You can filter the query results with the subnet ID or name, network ID, or zone ID.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneId

No

String

Zone ID to which the subnet belongs.

subnetIds

No

Array of String

Subnet ID.

You can query up to 100 networks in each request.

cidrBlock

No

String

CIDR block of the subnet.

Fuzzy query is supported.

subnetStatus

No

String

subnetName

No

String

Subnet name.

Fuzzy query is supported.

pageSize

No

Integer

Number of items in the current page result.

Default value: 20;

Maximum value: 1000.

Value range: [1, 1000]

pageNum

No

Integer

Number of pages returned.

Default value: 1.

Value range: [1, +)

Default value: 1

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

totalCount

Integer

Number of subnets meeting the filtering conditions.

dataSet

Array of SubnetInfo

Information on a subnet.

4. Code Example

Query all the available subnets with a CIDR block of 10.0.0.0/24.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

500

DESCRIBE_SUBNET_FAILED

Query exception.

500

UNKNOW_SUBNET_STATUS

Abnormal subnet status.

Last updated